libgnupg-perl_0.19-1_all.deb


Advertisement

Description

libgnupg-perl - interface to GnuPG using its coprocess interface

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgnupg-perl
Package version 0.19
Package release 1
Package architecture all
Package type deb
Installed size 125 B
Download size 35.54 KB
Official Mirror ftp.br.debian.org
GnuPG is a Perl module that provides a limited programmatic interface to the
GNU Privacy Guard program. It uses the coprocess hook system provided by gpg
and communicates using shared memory. It attempts to map the interactive
interface offered by the gpg command-line tool to a more programmatic API.

Alternatives

Package Version Architecture Repository
libgnupg-perl_0.19-1_all.deb 0.19 all Debian Main
libgnupg-perl - - -

Requires

Name Value
gnupg -
perl -

Download

Type URL
Binary Package libgnupg-perl_0.19-1_all.deb
Source Package libgnupg-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnupg-perl deb package:
    # sudo apt-get install libgnupg-perl

Files

Path
/usr/bin/gpgmailtunl
/usr/share/doc/libgnupg-perl/NEWS.gz
/usr/share/doc/libgnupg-perl/changelog.Debian.gz
/usr/share/doc/libgnupg-perl/changelog.gz
/usr/share/doc/libgnupg-perl/copyright
/usr/share/man/man1/gpgmailtunl.1p.gz
/usr/share/man/man3/GnuPG.3pm.gz
/usr/share/man/man3/GnuPG::Tie.3pm.gz
/usr/share/perl5/GnuPG.pm
/usr/share/perl5/GnuPG/Tie.pm
/usr/share/perl5/GnuPG/Tie/ClearSign.pm
/usr/share/perl5/GnuPG/Tie/Decrypt.pm
/usr/share/perl5/GnuPG/Tie/Encrypt.pm
/usr/share/perl5/GnuPG/Tie/Sign.pm

Changelog

2012-04-15 - Salvatore Bonaccorso <carnil@debian.org>
libgnupg-perl (0.19-1) unstable; urgency=low
* Imported Upstream version 0.19
* Drop fix-spelling-error-in-manpage.patch patch.
Patch was applied upstream.
* Drop 665226-fix-FTBFS-with-gnupg-1.4.12.patch patch.
Patch was applied upstream.
2012-04-14 - Salvatore Bonaccorso <carnil@debian.org>
libgnupg-perl (0.18-2) unstable; urgency=low
* Add 665226-fix-FTBFS-with-gnupg-1.4.12.patch patch.
Fix FTBFS with gnupg 1.4.12. gnupg 1.4.12 adds a new status message
DECRYPTION_INFO. (Closes: #665226)
* Update debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Standards-Version to 3.9.3
2011-11-22 - Salvatore Bonaccorso <carnil@debian.org>
libgnupg-perl (0.18-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Email change: Ansgar Burchardt -> ansgar@debian.org
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
* Imported Upstream version 0.18
* Bump Debhelper compat level to 8.
Adjust Build-Depends on debhelper to (>= 8)
* Update copyright for debian/* packaging
* Update copyright license stanzas.
Refer to Debian systems in general instead of only Debian GNU/Linux
systems.
Explicitly point to GPL-1 license text in common-licenses.
* Bump Standards-Version to 3.9.2
* Add fix-spelling-error-in-manpage.patch patch.
Fix spelling error in manpage of GnuPG::Tie
2010-06-11 - gregor herrmann <gregoa@debian.org>
libgnupg-perl (0.17-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* debian/copyright: Fix License for debian/* packaging to Artistic or
GPL-1+.
[ Damyan Ivanov ]
* New upstream release
+ Includes the patch from Niko Tyni fixing a hang during build
(Closes: #583072)
[ gregor herrmann ]
* Backup and restore test/ directory before/after dh_auto_test.
2010-05-24 - gregor herrmann <gregoa@debian.org>
libgnupg-perl (0.16-1) unstable; urgency=low
[ Jonathan Yu ]
* Rewrite control description
[ Ansgar Burchardt ]
* New upstream release (0.14).
* No longer install README.
[ Salvatore Bonaccorso ]
* New upstream release (0.16).
* Drop fix-spelling-error-in-manpage.patch as it is applied upstream
in a slightly modified version. 
* Refresh debian/copyright: Add Ansgar to Copyright stanza for debian/*
packaging.
* debian/control: Add explicitly perl to Build-Depends-Indep. 
2010-01-31 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libgnupg-perl (0.11-1) unstable; urgency=low
[ Ryan Niebur ]
* Update ryan52's email address
[ Salvatore Bonaccorso ]
* New upstream release
* Add myself to Uploaders
* Bump Standards-Version to 3.8.4.
* Refresh debian/copyright file to follow revision 135 of format
specification for machine readable copyright file in DEP5. 
* Convert to '3.0 (quilt)' package source format.
* Add fix-spelling-error-in-manpage.patch to fix spelling error in manpage
reported by lintian.
2009-08-06 - Damyan Ivanov <dmn@debian.org>
libgnupg-perl (0.10-2) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Damyan Ivanov ]
* add gnupg to Build-Depends-Indep. Thanks to Michael Bienia
Closes: #540068 (missing build-dependency on non-build-essential package)
* Standards-Version: 3.8.2 (no changes needed)
* add myself to Uploaders

See Also

Package Description
libgnuplot-iostream-dev_0~20140302.gitc8919a0+dfsg-2_all.deb C++ programming interface for gnuplot. Headers
libgnuplot-iostream-doc_0~20140302.gitc8919a0+dfsg-2_all.deb C++ programming interface for gnuplot. Docs and examples
libgnuplot-ocaml-dev_0.8.3-3+b1_amd64.deb OCaml interface to the gnuplot utility
libgnuradio-analog3.7.5_3.7.5-5_amd64.deb gnuradio analog functions
libgnuradio-atsc3.7.5_3.7.5-5_amd64.deb gnuradio atsc functions
libgnuradio-audio3.7.5_3.7.5-5_amd64.deb gnuradio audio functions
libgnuradio-blocks3.7.5_3.7.5-5_amd64.deb gnuradio blocks functions
libgnuradio-channels3.7.5_3.7.5-5_amd64.deb gnuradio channels functions
libgnuradio-comedi3.7.5_3.7.5-5_amd64.deb gnuradio comedi instrument control functions
libgnuradio-digital3.7.5_3.7.5-5_amd64.deb gnuradio digital communications functions
libgnuradio-dtv3.7.5_3.7.5-5_amd64.deb gnuradio digital TV signal processing blocks
libgnuradio-fcd3.7.5_3.7.5-5_amd64.deb gnuradio FunCube Dongle support
libgnuradio-fcdproplus0_3.7.11-3_amd64.deb Funcube Dongle Pro Plus controller for GNU Radio
libgnuradio-fec3.7.5_3.7.5-5_amd64.deb gnuradio forward error correction support
libgnuradio-fft3.7.5_3.7.5-5_amd64.deb gnuradio fast Fourier transform functions
Advertisement
Advertisement